* OPA604M OPERATIONAL AMPLIFIER "MACROMODEL" SUBCIRCUIT

* "M" IS  MULTIPLE POLE/ZERO TOPOLOGY

* CREATED 7/8/92 BCB

* REV.A

* REV.B - 9/9/95 ADDED COMMON-MODE INPUT CAPACITANCE (BCB) 

*

*  ------------------------------------------------------------------------ 

* |  NOTICE: THE INFORMATION PROVIDED HEREIN IS BELIEVED TO BE RELIABLE;   |

* |  HOWEVER; BURR-BROWN ASSUMES NO RESPONSIBILITY FOR INACCURACIES OR     |

* |  OMISSIONS.  BURR-BROWN ASSUMES NO RESPONSIBILITY FOR THE USE OF THIS  |

* |  INFORMATION, AND ALL USE OF SUCH INFORMATION SHALL BE ENTIRELY AT     |

* |  THE USER'S OWN RISK.  NO PATENT RIGHTS OR LICENSES TO ANY OF THE      |

* |  CIRCUITS DESCRIBED HEREIN ARE IMPLIED OR GRANTED TO ANY THIRD PARTY.  |

* |  BURR-BROWN DOES NOT AUTHORIZE OR WARRANT ANY BURR-BROWN PRODUCT FOR   |

* |  USE IN LIFE-SUPPORT DEVICES AND/OR SYSTEMS.                           |

*  ------------------------------------------------------------------------ 

* |-------------------------------------------------------------|

* |  This macro model is being supplied as an aid to            |

* |  circuit designs.  While it reflects reasonably close       |

* |  similarity to the actual device in terms of performance,   |

* |  it is not suggested as a replacement for breadboarding.    |

* |  Simulation should be used as a forerunner or a supplement  |

* |  to traditional lab testing.                                |

* |                                                             |

* |  Neither this library nor any part may be copied without    |

* |  the express written consent of Burr-Brown Corporation.     |

* |                                                             |

* |  The users should carefully note the following factors      |

* |  regarding this model.                                      |

* |                                                             |

* |-------------------------------------------------------------|

*

* CONNECTIONS:    NON-INVERTING INPUT

*                 |  INVERTING INPUT

*                 |  |  POSITIVE POWER SUPPLY

*                 |  |  |  NEGATIVE POWER SUPPLY

*                 |  |  |  |  OUTPUT

*                 |  |  |  |  |

.SUBCKT  OPA604M  3  2  7  4  6



* INPUT STAGE (pole=1.6MHz)

J1  13  2  12  PJ

J2  14  11  12  PJ

G51 2 4 POLY(2) (13,2) (12,2) 0 1E-12 1E-12

G52 11 4 POLY(2) (14,11) (12,11) 0 1E-12 1E-12

R3  4  13  198.94

R4  4  14  198.94

C1  13  14  250E-12

IEE  7  12  1.8E-3

EOS  11  3  POLY(1)  (33,10)  3E-3  1

R1  2  15  5E11

R2  3  15  5E11

CD  2  3  8E-12

CC1 2 7 5E-12

CC2 2 4 5E-12

CC3 3 7 5E-12

CC4 3 4 5E-12

IOS  2  3  4E-12



* GAIN STAGE (gain=100dB, pole=200Hz)

V21  7  21  3.236

D21  23  21  DX

V22  22  4  3.236

D22  22  23  DX

G21  7  23  POLY(1)  (13,14)   2.9238E-3 5.0265E-3

G22  4  23  POLY(1)  (13,14)  -2.9238E-3 5.0265E-3

R27  7  23  19.89E6

R28  4  23  19.89E6

C22  7  23  40E-12

C23  4  23  40E-12



* ZERO / POLE STAGE (zero=1.6MHz, pole=10MHz)

R46  41  43  1E6

R47  42  43  1E6

R45  7  41  5.25E6

R48  4  42  5.25E6

L41  7  41  83.6E-3

L42  4  42  83.6E-3

G45  7  43  23  10  1E-6

G46  4  43  23  10  1E-6



* POLE / ZERO STAGE (pole=0.4MHz, zero=1.6MHz)

R81  7  83  1E6

R84  4  83  1E6

R82  81  83  0.25E6

R83  82  83  0.25E6

C84  81  7  397.9E-15

C85  82  4  397.9E-15

G81  7  83  43  10  1E-6

G82  4  83  43  10  1E-6



* COMMON-MODE REJECTION STAGE (zero at 2kHz)

R31  31  33  1E6

R32  32  33  1E6

G31  7  33  15  10  1E-11

G32  4  33  15  10  1E-11

L31  31  7  79.577

L32  32  4  79.577



* OUTPUT STAGE

D3  83  71  DX

D4  72  83  DX

D5  7  73  DX

D6  7  74  DX

D7  4  73  DZ

D8  4  74  DZ

G14  73  4  6  83  20E-3

G13  74  4  83  6  20E-3

V3  71  6  0.38686

V4  6  72  0.38686

G11  6  7  7  83  20E-3

G12  4  6  83   4  20E-3

R23  7  6  50

R24  4  6  50



* CENTER OF SUPPLIES

R9  7  10  31.304E3

R10  4  10  31.304E3



.MODEL  DX  D(IS=1E-15)

.MODEL  PJ  PJF(BETA=12.63285E-3 VTO=-2 IS=50E-12)

.MODEL  DZ  D(IS=1E-15 BV=50)



.ENDS


